Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface MutableCategory

All Known Implementing Classes:
  MutableCategoryImpl

public interface MutableCategory
extends Category, MutableCatalogItem

This is the mutable interface for all categories contained by the Catalog.

Fields inherited from class com.beasys.commerce.ebusiness.catalog.Category
`ROOT_NAME`

Fields inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItem
`LARGE_IMAGE_INDEX, LONG_DESCRIPTION_INDEX, MAX_DESCRIPTION, MAX_IMAGES, SHORT_DESCRIPTION_INDEX, SMALL_IMAGE_INDEX`

Fields inherited from class com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItem
`LARGE_IMAGE_INDEX, LONG_DESCRIPTION_INDEX, MAX_DESCRIPTION, MAX_IMAGES, SHORT_DESCRIPTION_INDEX, SMALL_IMAGE_INDEX`

Fields inherited from class com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary
`void` | `setJsp(JspInfo jspInfo)` Assigns the JspInfo for this category.

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.Category
`getJsp`

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.MutableCatalogItem
`setContributor, setCoverage, setCreationDate, setCreator, setDescription, setImage, setLanguage, setModifiedDate, setName, setPublisher, setRelation, setRights, setSource`

Method Detail

### setJsp

    public void setJsp(JspInfo jspInfo)

  Assigns the JspInfo for this category.

  Parameters:
    `jspInfo` - the new JSP display information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved